glab(1)

NAME

glab-cluster-agent-get-token - Create and return a k8s_proxy-scoped Personal Access Token to authenticate with a GitLab Agents for Kubernetes

SYNOPSIS

glab cluster agent get-token [flags]

DESCRIPTION

Create and return a k8s_proxy-scoped Personal Access Token to authenticate with a GitLab Agents for Kubernetes

This command will always create a Personal Access Token that is valid until the end of the current day. You may receive an email from your GitLab instance that a new Personal Access Token has been created.

OPTIONS

-a, --agent=0
    The numerical Agent ID to connect to

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

SEE ALSO

glab-cluster-agent(1)